# Engagement Models Engagement Models ## Gets all of the engagement models in the system. - [GET /engagementModels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/listengagementmodels.md): This method will scan all engagement models and and return them to the caller. ## Creates a new engagement model record that does not already exist. - [POST /engagementModels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/createengagementmodel.md): This method will auto-generate an ID and create a new engagement model. If an ID is specified for the engagement model, an error will be thrown. ## Execute Batch Operations - [POST /engagementModels/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a engagement model from the system by its ID. - [DELETE /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/deleteengagementmodel.md): This method will delete a engagement model with the specified ID. ## Returns a engagement model from the system by its ID. - [GET /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/getengagementmodel.md): This method will look up a engagement model by the specified ID and return it back. ## Partially updates a engagement model with the specified ID. - [PATCH /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/patchengagementmodel.md): This method will patch an existing engagement model with the specified ID, using the HTTP PATCH specification. ## Updates a engagement model with the specified ID. - [PUT /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/updateengagementmodel.md): This method will update an existing engagement model with the specified ID.